Subject: draft-ietf-6man-rfc4941bis-01

From: "Bernie Volz (volz)" <[email-masked]>
Date: Mon, 25 Mar 2019 08:45:45 +0000

Fernando:

Please update reference for DHCPv6 from RFC3315 to RFC8415 in next revision. There may need to be updates to reference appropriate new section numbers.

Regarding:

“One way to avoid having a stable non-changing address is to use
   DHCPv6 [RFC3315<https://tools.ietf.org/html/rfc3315>] for obtaining addresses.  Section 12 of [RFC3315]<https://tools.ietf.org/html/rfc3315#section-12>
   discusses the use of DHCPv6 for the assignment and management of
   "temporary addresses", which are never renewed and provide the same
   property of temporary addresses described in this document with
   regards to the privacy concern.”

They can be renewed; typically they would not be but they can be. For example, may be needed if existing connection using the temporary address as source needs to be maintained. Section 13.2 states:

“One of the most important properties of a temporary address is to
   make it difficult to link the address to different actions over time.
   So, it is NOT RECOMMENDED for a client to renew temporary addresses,
   though DHCP provides for such a possibility (see Section 21.5<https://tools.ietf.org/html/rfc8415#section-21.5>).”

Thanks.

- Bernie

---

From: Fernando Gont <[email-masked]>
Date: Mon, 25 Mar 2019 12:08:25 +0100

Hi, Bernie,

On 25/3/19 09:45, Bernie Volz (volz) wrote:
> Fernando:
> 
> Please update reference for DHCPv6 from RFC3315 to RFC8415 in next
> revision. There may need to be updates to reference appropriate new
> section numbers.

Will do. Thanks!

> Regarding:
> 
> “One way to avoid having a stable non-changing address is to use DHCPv6
> [RFC3315 <https://tools.ietf.org/html/rfc3315>] for obtaining addresses.
> Section 12 of [RFC3315] <https://tools.ietf.org/html/rfc3315#section-12>
> property of temporary addresses described in this document with regards
> to the privacy concern.”
> 
> 
> They can be renewed; typically they would not be but they can be. For
> example, may be needed if existing connection using the temporary
> address as source needs to be maintained. Section 13.2 states:
> 
> 
> “One of the most important properties of a temporary address is to make
> it difficult to link the address to different actions over time. So, it
> is NOT RECOMMENDED for a client to renew temporary addresses, though
> DHCP provides for such a possibility (see Section 21.5
> <https://tools.ietf.org/html/rfc8415#section-21.5>).”

How about updating the aforementioned text as follows:

 “One way to avoid having a stable non-changing address is to use DHCPv6
 [RFC8415] for obtaining addresses.  Section 13.2 of [RFC8415]
 discusses the use of DHCPv6 for the assignment and management of
 "temporary addresses", that can provide the same property of temporary
  addresses described in this document with regards to the privacy concern.”

?

P.S.: I'm not sure whether a DHCPv6 server might impose limits on the
number of temporary addresses that may be leased to a client,.. in which
case SLAAC would be a better option from a privacy point of view.

Thanks!

Cheers,
-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Mon, 25 Mar 2019 13:27:33 +0000

Hi:

Your proposed text looks reasonable

That's a matter of server policy and not something that the standards would document. But yes, there are severs that impose (configurable) limits on the number (though the defaults are likely to be very generous and would not be likely to cause practical issues - certainly haven't heard of any).

- Bernie

On 3/25/19, 7:08 AM, "Fernando Gont" <[email-masked]> wrote:

    Hi, Bernie,

    Will do. Thanks!

    
    
    ?

    Thanks!
    
    Cheers,